# ************************************************************************
# *
# * Subsystem makefile for HPS Sun 4 (SPARC) Solaris platform.
# *
# *	Copyright (C) 1999-2008 Cincom Systems, Inc.
# *
# ************************************************************************
#
SUBSYS=plat
SUBSYSDIR=$(HPSSDIR)/plat

OBJS=\
sparcIcache.$(OBJ) \
nilLeave.$(OBJ) \
nilPlat.$(OBJ) \
dlopenDynamicLoad.$(OBJ) \
sparcV7CallC.$(OBJ) \
sparcV7Callback.$(OBJ) \
sparcV7CallCglue.$(OBJ) \
svr4MapFile.$(OBJ) \
svr4Sig.$(OBJ) \
unxAlarm.$(OBJ) \
unxDir.$(OBJ) \
unxECode.$(OBJ) \
unxError.$(OBJ) \
unxHerald.$(OBJ) \
unxIpc.$(OBJ) \
unxLoadGUI.$(OBJ) \
unxMain.$(OBJ) \
unxMem.$(OBJ) \
unxProc.$(OBJ) \
unxSock.$(OBJ) \
unxUtil.$(OBJ) \
usvFile.$(OBJ) \
usvMisc.$(OBJ) \
usvSerial.$(OBJ) \
usvTime.$(OBJ)

CSRCS=\
sparcIcache.c \
nilLeave.c \
nilPlat.c \
dlopenDynamicLoad.c \
sparcV7CallC.c \
sparcV7Callback.c \
svr4MapFile.c \
svr4Sig.c \
unxAlarm.c \
unxDir.c \
unxECode.c \
unxError.c \
unxHerald.c \
unxIpc.c \
unxLoadGUI.c \
unxMain.c \
unxMem.c \
unxProc.c \
unxSock.c \
unxUtil.c \
usvFile.c \
usvMisc.c \
usvSerial.c \
usvTime.c

SSRCS= sparcV7CallCglue.s

### Subsystem target.

$(SUBSYS).$(OBJ): $(OBJS)
	$(LD) $(LDFLAGS) -o $@ $(OBJS)

include src/makefiles/makefile.include

include plat.dep
